C3DImageCollector Class Reference

`#include <mia/3d/imagecollect.hh>`

Inheritance diagram for C3DImageCollector:
[legend]
Collaboration diagram for C3DImageCollector:
[legend]

## Public Member Functions

void | add (const C2DImage &image)
| C3DImageCollector (size_t slices)
P3DImage | get_result () const
template<typename T>
void | operator() (const T2DImage< T > &image)

## Additional Inherited Members

Public Types inherited from TFilter< void >
typedef void | result_type
| defines the return type of the filter function

## Detailed Description

Definition at line 29 of file imagecollect.hh.

## Constructor & Destructor Documentation

## C3DImageCollector()

C3DImageCollector::C3DImageCollector | ( | size_t | slices | ) |

## Member Function Documentation

## add()

void C3DImageCollector::add | ( | const C2DImage & | image | ) |

## get_result()

P3DImage C3DImageCollector::get_result | ( |  | ) | const

## operator()()

template<typename T>

void C3DImageCollector::operator() | ( | const T2DImage< T > & | image | ) |

The documentation for this class was generated from the following file:

- imagecollect.hh